GEODESY-BG.NET

FORUM.GEODESY-BG.NET
Дата и час: Пон Дек 09, 2019 7:21 am

Часовете са според зоната UTC + 2 часа




Напиши нова тема Отговори на тема  [ 98 мнения ]  Отиди на страница Предишна  1, 2, 3, 4, 5, 6, 7  Следваща
Автор Съобщение
 Заглавие:
МнениеПубликувано на: Съб Май 10, 2008 8:49 am 
Offline

Регистриран на: Чет Ное 08, 2007 11:42 am
Мнения: 34
Neycho написа:
Мдам...... .... Ако някои има друга ИНТЕЛИГЕНТНА идея за решаване на проблема, ще го изслушам.

Чат пат програмирам, но за съжаление само с ауто лисп.
Има начин ако имаш инсталиран Civil Design за ланда да използваш вградените програмни библиотеки на Визуал Бейсик. По тоя начин избягваш изчисленията а параметрите на отделните елементи могат директно да се определят.
Вградената библиотека се включва допълнително. Във Визуал Бейсика


Върнете се в началото
 Профил  
 
 Заглавие:
МнениеПубликувано на: Чет Май 22, 2008 1:21 pm 
Offline

Регистриран на: Пет Дек 07, 2007 12:35 pm
Мнения: 5
Целта на задачата е да стане с минимално количество външни библиотеки, защото те са различни в 99% от случайте за различните версий на аутокада.


Върнете се в началото
 Профил  
 
 Заглавие:
МнениеПубликувано на: Чет Май 22, 2008 2:29 pm 
Offline

Регистриран на: Чет Ное 08, 2007 11:42 am
Мнения: 34
Да така е по-принцип, но реално погледнато основното изменение на библиотеките е само в номера. Също като при ланда той няма драстични изменения от доста версии насам, променя се само платформата аутокада.

Ето ти примерен код на 2006 който определя котата на точка спрямо повърхнина:

(defun ge (pt# / acadobj aecapp aecproj aecsurfs aecsurf aecutil pt# e-n
selev nelev *error*
)
(defun *error* (msg / objlist emsg)
(princ msg)
(setq objlist (reverse '(acadobj aecapp aecproj aecsurfs aecsurf aecutil)))
(foreach x objlist
(if (= (type (eval x)) 'vla-object)
(vlax-release-object (eval x))
)
)
(princ)
)
(setq acadobj (vlax-get-acad-object)
aecapp (vla-getinterfaceobject acadobj "Aecc.Application.4" )
aecproj (vlax-get aecapp "Activeproject")
aecsurfs (vlax-get aecproj "Surfaces")
aecsurf (vlax-get aecsurfs "Currentsurface")
aecutil (vlax-get (vlax-get aecapp "activedocument") "Utility")
)
(if (= aecsurf "")
(alert "\n НЯМА УКАЗАНА ТЕКУЩА ПОВЪРХНИНА!!!")
(progn
(setq aecsurf (vlax-invoke aecsurfs "item" aecsurf))
(setq e-n (vlax-invoke aecutil "xytoeastnorth" pt#))
(setq selev (vl-catch-all-apply 'vlax-invoke (list aecsurf
"getelevation"
(car e-n)
(cadr e-n)
)
)
)
(if (numberp selev)
(setq tkota (rtos selev 2 2))
(progn
(setq tkota nil)
(vl-catch-all-error-message selev)
)
)
)
)
(*error* "Exiting....")
(princ)
)


Ето ти промяната при следващата версия

aecapp (vla-getinterfaceobject acadobj "Aecc.Application.7" )


Върнете се в началото
 Профил  
 
МнениеПубликувано на: Сря Май 27, 2009 3:16 pm 
Offline

Регистриран на: Пон Ное 24, 2008 4:57 pm
Мнения: 15
Местоположение: Stara Zagora
Много съм благодарен на създателите на този софтуер че го споделят с колегите си, с не комерсиални цели, което е невиждано в нашите условия на конкуренция.
Лично аз не я използвам много тъй като работя на Ланд3 и там съм си автоматизирал работите относно снимките, терените и др. задачки.
Имам някоко въпроса към създателите на програмата -
1.Как стои положението с изчертаването на повърхнина и какво се използва за случая тъй като за "интерполациите" иска повърхнина ама с тези от ленда не става как ги задавате?
2. Имате ли нещо разработено по въпроса с кодиране на снимката по време на мерене и след това свързване автоматично по кодовете като в Тплана, тъй като там още на са извели скрипт за изчератаване на снимка само на мрежата, иначе я визуализират в средата на Тплан?
3. Изчертаване на успоредник по две пресичащи се линии, пускане на перпендикуляр с определена дължина от линия или полилиния?
4. Имали нещо ново по ндлъжен или напречен профил?
Ми май само за това се сещам. Няма да ви тормозя с още въпроси, тъй като и без това ни улеснявате :)
Хубаво е че има хора като вас за хора като мен които не ги бива в програмирането
:oops:.


Върнете се в началото
 Профил  
 
МнениеПубликувано на: Нед Фев 28, 2010 10:14 am 
Offline

Регистриран на: Вто Сеп 29, 2009 5:53 am
Мнения: 9
Здравейте!
От време на време ползвам geobase 5.3, но не ми работи "симулация на измервания". Въвеждам си станция, посоки и измервани точки в менюто, но когато отида на "генерирай", ми изкарва съобщение за грешка и прекъсва.
Някой има ли подобни проблеми?


Върнете се в началото
 Профил  
 
 Заглавие:
МнениеПубликувано на: Нед Юни 27, 2010 5:13 pm 
Offline

Регистриран на: Вто Май 25, 2010 8:43 pm
Мнения: 27
Здравеите!
Аз искам да попитам как работи менюто "Симулазия на измерване"Може ли някакъв HELP за него?!


Върнете се в началото
 Профил  
 
 Заглавие:
МнениеПубликувано на: Вто Юни 29, 2010 7:59 pm 
Offline

Регистриран на: Вто Юли 07, 2009 6:11 pm
Мнения: 9
Понеже гледам че никой колега не се наема да ви обясни как се симулират измервания, аз ще го направя. Процедира се по следния начин - взимаш си инструмента и триногата, отиваш на обекта, симулираш,симулираш,симулираш.....после се връщаш в офиса и смяташ. Е така се прави :evil:


Върнете се в началото
 Профил  
 
 Заглавие:
МнениеПубликувано на: Пет Юли 16, 2010 7:17 pm 
Offline

Регистриран на: Сря Ное 26, 2008 6:21 pm
Мнения: 53
Много готина програмка, жалко, че не работи като хората върху C3D, инъче би спестила известно време и нерви. Поздрави!


Върнете се в началото
 Профил  
 
 Заглавие:
МнениеПубликувано на: Сря Юли 21, 2010 10:20 pm 
Offline

Регистриран на: Сря Юли 21, 2010 10:10 pm
Мнения: 1
Здравейте, инсталирах GeoBase както е в описанието. Добавих го в menu-то и Geo.VLX в Contents. Всичко нормално като стартирам Autocad изглежда всичко да се зарежда нормано:
Customization file loaded successfully. Customization Group: IMPRESSION
Customization file loaded successfully. Customization Group: EXPRESS
Customization file loaded successfully. Customization Group: GEOBASE
Regenerating model.
AutoCAD Express Tools Copyright © 2002-2004 Autodesk, Inc.
Command:
AutoCAD menu utilities loaded.
Loading GeoBase ... Done
************ GeoBase v5.3 Loaded ************
Но каквото и да се опитам да правя дава различни грешки. Преди работех на Autocad 2006 и Windows XP 32bit и всичко беше нормално. Сега съм със Autocad 2008 и Windows 7 64bit. Може ли от 64 битовия windows да прави проблеми. Мерси
:roll:


Върнете се в началото
 Профил  
 
 Заглавие:
МнениеПубликувано на: Вто Авг 03, 2010 6:29 pm 
Offline

Регистриран на: Вто Авг 03, 2010 6:26 pm
Мнения: 43
Здравейте !
Искам да попитам geobase може ли да тръгне на autocad 2009 ,защото се пробвах да го сложа , но менютата са по-различни от старите версии и немога да открия geobase менюто. Ако някой може да помогне нека пише 2 реда .
Благодаря Ви предварително ! :)


Върнете се в началото
 Профил  
 
 Заглавие:
МнениеПубликувано на: Чет Авг 05, 2010 4:05 pm 
Offline
administrator

Регистриран на: Нед Яну 27, 2008 11:17 pm
Мнения: 138
Местоположение: гр. Пловдив
Хммм!
Не би трябвало да имаш проблем.
Правиш си инсталацията от ехе-то и стартираш GeoBase. След което си избираш АутоКада на които искаш да се инсталира менюто и си готов.

_________________
AutoDesk rules!
http://www.allforcad.net
http://www.martenichki.com


Върнете се в началото
 Профил  
 
 Заглавие:
МнениеПубликувано на: Сря Авг 11, 2010 8:21 am 
Offline

Регистриран на: Вто Авг 03, 2010 6:26 pm
Мнения: 43
Да , но нали менюто е по-различно от на 2005 версията и незнам къде да го търся. Може би , ако има начин да направя менюто от стария тип ( като при 2005 ) ще се появи , иначе немога да го намеря .


Върнете се в началото
 Профил  
 
 Заглавие: Иероглифи в Geobase
МнениеПубликувано на: Пет Сеп 17, 2010 9:45 am 
Offline

Регистриран на: Нед Ное 23, 2008 12:01 am
Мнения: 16
Местоположение: В.Търново,София
Какво ли не правих, менюто на геобейса ми излиза с иероглифи.
Ако някой има идеа много ще съм благодарен.
На стария компютър нямах такъв проблем, но на новия ме изненада.
Със същия аутокад 2006 съм, включих всички кирилици и пак така :(
уиндоса е XP sp3... :roll:

_________________
СЛЯПАТА кокошка, като прогледне, иска да се качи и на петела.


Върнете се в началото
 Профил  
 
 Заглавие:
МнениеПубликувано на: Пет Сеп 17, 2010 8:22 pm 
Offline

Регистриран на: Пон Авг 03, 2009 8:38 am
Мнения: 52
От Control Panel --> Regional and language Options --> таб Advanced

и гледаш в горната част на прозореца.
Там в Language for non-Unicode Programs слагаш Bulgarian.

Рестартирай и се надявам, че ще черпиш една бира :)


Върнете се в началото
 Профил  
 
 Заглавие:
МнениеПубликувано на: Пон Сеп 20, 2010 10:11 am 
Offline

Регистриран на: Нед Ное 23, 2008 12:01 am
Мнения: 16
Местоположение: В.Търново,София
Това първо направих, но резултата е същия за съжаление :?

_________________
СЛЯПАТА кокошка, като прогледне, иска да се качи и на петела.


Върнете се в началото
 Профил  
 
Покажи мненията от миналия:  Сортирай по  
Напиши нова тема Отговори на тема  [ 98 мнения ]  Отиди на страница Предишна  1, 2, 3, 4, 5, 6, 7  Следваща

Часовете са според зоната UTC + 2 часа


Кой е на линия

Потребители разглеждащи този форум: 0 регистрирани и 1 госта


Вие не можете да пускате нови теми
Вие не можете да отговаряте на теми
Вие не можете да променяте собственото си мнение
Вие не можете да изтривате собствените си мнения
Вие не можете да прикачвате файл

Търсене:
Иди на:  
cron
POWERED_BY
geodesy-bg.net